#include <iostream>
#include <string>
#include <sstream>
#include <iomanip>
#include <cmath>

using namespace std;

#define SQR(x) (real(x)*real(x))

typedef long double real;

const int maxn = 100010;
const int inf = 1000000;

real d,len;
int x[maxn],y[maxn],n;

int main(int argc, char* argv[])
{
   int i,a[10];

   freopen("input.txt","wt",stdout);
   
   for (i = 1; i < argc; i++) {
      string s(argv[i]);
      istringstream ss(s);
      ss >> a[i-1];
   } 

   n = a[0]; srand(a[1]);
   d = 0.0;
   for (i = 1; i <= n; i++) {
      x[i] = (rand()%(320))*(rand()%(6200)) - inf;
      y[i] = (rand()%(320))*(rand()%(6200)) - inf;
      if (i > 1) d += sqrt(SQR(x[i]-x[i-1]) + SQR(y[i]-y[i-1])); 
   }
   len = real(rand()%1000)/1000.0*d;
   
   cout << n << " " << fixed << setprecision(3) << len << endl;
   for (i = 1; i <= n; i++) cout << x[i] << " " << y[i] << endl;

   fclose(stdout); return 0;
}