#include <iostream>
#include <iomanip>
#include <cmath>

using namespace std;

#define SQR(x) (real(x)*real(x))

typedef long double real;

const int maxn = 100010;
const int eps = 1e-6;

real len,ax,ay,d[maxn];
int x[maxn],y[maxn],n;

int main()
{
   int i;

   freopen("input.txt","rt",stdin); freopen("output.txt","wt",stdout);
   
   cin >> n >> len;
   for (i = 1; i <= n; i++) cin >> x[i] >> y[i];
   x[n+1] = x[n]; y[n+1] = y[n];
   for (i = 1; i <= n; i++) d[i] = sqrt(SQR(x[i+1]-x[i]) + SQR(y[i+1]-y[i]));
   
   for (i = 1; i <= n; i++) 
      if (len > d[i]) len -= d[i]; else break;
   
   if (d[i] > eps) {
      ax = x[i] + (x[i+1]-x[i])*len/d[i]; ay = y[i] + (y[i+1]-y[i])*len/d[i];
   } else {ax = x[i]; ay = y[i];}

   cout << fixed  << setprecision(3) << ax << " " << ay;
   fclose(stdin); fclose(stdout);
   return 0;  
}